GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ItalianData Class Reference

## Public Member Functions
String | getBarcode ()
void | setBarcode (String value)
String | getDatamatrix ()
void | setDatamatrix (String value)
String | getDepot ()
void | setDepot (String value)
String | getTour ()
void | setTour (String value)

## Protected Attributes
String | barcode
String | datamatrix
String | depot
String | tour

## Detailed Description

Italian Data on the label

Java class for ItalianData complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="ItalianData">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Barcode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="Datamatrix" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="Depot" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="Tour" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 41 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ItalianData.java.

## Member Function Documentation

## ◆ getBarcode()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ItalianData.getBarcode | ( |  | ) |

Gets the value of the barcode property.

Returns
  possible object is String

Definition at line 60 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ItalianData.java.

## ◆ getDatamatrix()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ItalianData.getDatamatrix | ( |  | ) |

Gets the value of the datamatrix property.

Returns
  possible object is String

Definition at line 84 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ItalianData.java.

## ◆ getDepot()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ItalianData.getDepot | ( |  | ) |

Gets the value of the depot property.

Returns
  possible object is String

Definition at line 108 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ItalianData.java.

## ◆ getTour()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ItalianData.getTour | ( |  | ) |

Gets the value of the tour property.

Returns
  possible object is String

Definition at line 132 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ItalianData.java.

## ◆ setBarcode()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ItalianData.setBarcode | ( | String | value | ) |

Sets the value of the barcode property.

Parameters

  value | allowed object is String

Definition at line 72 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ItalianData.java.

## ◆ setDatamatrix()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ItalianData.setDatamatrix | ( | String | value | ) |

Sets the value of the datamatrix property.

Parameters

  value | allowed object is String

Definition at line 96 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ItalianData.java.

## ◆ setDepot()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ItalianData.setDepot | ( | String | value | ) |

Sets the value of the depot property.

Parameters

  value | allowed object is String

Definition at line 120 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ItalianData.java.

## ◆ setTour()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ItalianData.setTour | ( | String | value | ) |

Sets the value of the tour property.

Parameters

  value | allowed object is String

Definition at line 144 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ItalianData.java.

## Member Data Documentation

## ◆ barcode

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ItalianData.barcode
| protected

Definition at line 44 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ItalianData.java.

## ◆ datamatrix

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ItalianData.datamatrix
| protected

Definition at line 46 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ItalianData.java.

## ◆ depot

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ItalianData.depot
| protected

Definition at line 48 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ItalianData.java.

## ◆ tour

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ItalianData.tour
| protected

Definition at line 50 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ItalianData.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ItalianData.java